package com.xindazhou.vehicle.service.sound;

import com.xindazhou.framework.common.pojo.PageResult;
import com.xindazhou.vehicle.controller.admin.vehicle.vo.VehicleSoundPageReqVO;
import com.xindazhou.vehicle.controller.admin.vehicle.vo.VehicleSoundRespVO;
import com.xindazhou.vehicle.controller.admin.vehicle.vo.VehicleSoundSaveReqVO;

/**
 * APP音效管理 Service 接口
 *
 * @author xindazhou
 */
public interface VehicleSoundService {

    PageResult<VehicleSoundRespVO> getVehicleSoundPage(VehicleSoundPageReqVO pageReqVO);

    VehicleSoundRespVO getVehicleSound(Long id);

    Long createVehicleSound(VehicleSoundSaveReqVO createReqVO);

    void updateVehicleSound(VehicleSoundSaveReqVO updateReqVO);

    void deleteVehicleSound(Long id);

}
